# Doran

- William Stephen Born Jan 1874 Centralia, IL
- Josephine Anna, Sept 16, 1884, Laborde, T,aucogney, Arudy, Busses, Pyrennes, France

- Both Buried at Riverside Cemetary, CO

- Anna Stephens - July 18, 1928 - 1st Husband - Charles T,aucogney Married at Sacred Heart Church 27th and Larimer, Denver, CO
